Ticket #750 (new defect)

Opened 6 years ago

Last modified 4 years ago

google-calendar-plugin can't find 'xpathAttributes', perpetually freezes sync (0.22)

Reported by: spoogle Owned by: ehabkost
Priority: normal Milestone:
Component: Plugin: google Version: 0.22
Severity: normal Keywords: google, google-calendar, freeze, freezes
Cc: contini.mailing@…

Description

The following occurs on my Kubuntu Hardy Heron (8.04) machine (Compaq x1000, using x86 32-bit processor), running the 0.22 version of OpenSync? (and its plugins). It's been reproduced and reported by another (_)Ubuntu user as well (https://answers.launchpad.net/ubuntu/+source/libopensync-plugin-google-calendar/+question/33975).

Upon attempting to sync a SynCE mobile device, Kde-pim, and a Google Calendar, all goes well except for the Google Calendar syncing, which eventually yields several errors which all look like this:

add gdata: <?xml version="1.0" encoding="utf-8"?><entry xmlns="http://www.w3.org/2005/Atom" 
xmlns:gd="http://schemas.google.com/g/2005"><title type="text">Study Trip 2</title><content 
type="text"></content><gd:when endTime="2008-05-19" startTime="2008-05-10"/><gd:where 
valueString=""/></entry>
Traceback (most recent call last):
  File "/usr/lib/opensync/google-cal-helper", line 453, in <module>
    sys.exit(main(sys.argv))
  File "/usr/lib/opensync/google-cal-helper", line 445, in main
    return fn(argv)
  File "/usr/lib/opensync/google-cal-helper", line 422, in oper_add
    e = GCalEntry(atom=xml.documentElement)
  File "/usr/lib/opensync/google-cal-helper", line 187, in __init__
    self.parseAtom(atom)
  File "/usr/lib/opensync/google-cal-helper", line 196, in parseAtom
    self.editUri = self.elementValue('atom:link[@rel="edit"]/@href')
  File "/usr/lib/opensync/google-cal-helper", line 294, in elementValue
    nodes = self.query(name)
  File "/usr/lib/opensync/google-cal-helper", line 302, in query
    return XPath.Evaluate(expr, context=ctx)
  File "/usr/lib/python2.5/site-packages/Ft/Xml/XPath/Util.py", line 188, in Evaluate
    retval = XPathParser.new().parse(expr).evaluate(con)
  File "/usr/lib/python2.5/site-packages/Ft/Xml/XPath/ParsedRelativeLocationPath.py", line 18, in evaluate
    nodeset = self._left.select(context)
  File "/usr/lib/python2.5/site-packages/Ft/Xml/XPath/ParsedStep.py", line 30, in evaluate
    node_set = self._predicates.filter(node_set, context, reverse)
  File "/usr/lib/python2.5/site-packages/Ft/Xml/XPath/ParsedPredicateList.py", line 43, in filter
    res = pred.evaluate(context)
  File "/usr/lib/python2.5/site-packages/Ft/Xml/XPath/ParsedExpr.py", line 721, in evaluate
    left = self._left.evaluate(context)
  File "/usr/lib/python2.5/site-packages/Ft/Xml/XPath/ParsedStep.py", line 28, in evaluate
    (node_set, reverse) = self._axis.select(context, self._nodeTest.match)
  File "/usr/lib/python2.5/site-packages/Ft/Xml/XPath/ParsedAxisSpecifier.py", line 94, in select
    result = [ attr for attr in context.node.xpathAttributes
AttributeError: Element instance has no attribute 'xpathAttributes'
Error writing entry http%3a%2f%2fwww%2egoogle%2ecom%2fcalendar%2ffeeds%2fmy_username%2540gmail%2ecom%2fprivate%2ffull%2f8oj8gvsocc5eblfn373h7uo78s to member 3: Couldn't read from helper
Mapping Write Error: Couldn't read from helper
osync to xs: 20080414 => 2008-04-14
osync to xs: 20080501 => 2008-05-01

Eventually the errors stop, and the sync freezes and prints the following line once every 5 minutes or so, indefinitely:

INFO:SynCE:device synchronization complete

It would be great to get past this error - I've attached the output from a complete sync session as well as from the sync-engine in case any of it would be useful in diagnosis.

Attachments

opensync_output.txt (549.0 KB) - added by spoogle 6 years ago.
Output from OpenSync? sync run from command line
synce_engine_output.txt (880.3 KB) - added by spoogle 6 years ago.
Output from the synce-sync-engine during the sync process

Change History

Changed 6 years ago by spoogle

Output from OpenSync? sync run from command line

Changed 6 years ago by spoogle

Output from the synce-sync-engine during the sync process

comment:1 Changed 6 years ago by gcontini

I'm another Ubuntu user and i can confirm the bug is happening on my machine too, with similar output. I'm really interested in having it fixed, i can run some test if necessary.

comment:2 Changed 6 years ago by gcontini

  • Cc contini.mailing@… added

comment:3 Changed 6 years ago by Billamay77

Hi guys, same thing on my ubuntu 8.04, x86_64. Listing of components version: ebrambil@spank:~$ dpkg -l opensync-plugin-google-calendar opensync-plugin-syncml opensyncutils libsyncml-utils multisync-tools Desired=Unknown/Install/Remove/Purge/Hold? | Status=Not/Installed/Config?-f/Unpacked/Failed-cfg/Half-inst/t-aWait/T-pend |/ Err?=(none)/Hold/Reinst?-required/X=both-problems (Status,Err: uppercase=bad)

/ Name Version Description

+++-==========================-==========================-==================================================================== ii libsyncml-utils 0.4.5-1 SyncML protocol library utilities ii multisync-tools 0.91.0-4.1ubuntu1 PIM Synchronization Command Line Tools ii opensync-plugin-google-cal 0.22-6 Opensync Google Calendar plugin ii opensync-plugin-syncml 0.22-2 Opensync SyncML plugin ii opensyncutils 0.22-2 Command line utilities for libopensync

Complete command outuput for synchronization of a Nokia N70 with Google Calendar: ebrambil@spank:~$ msynctool --sync Melmone Synchronizing group "Melmone" Member 2 of type google-calendar just connected received event dsession Member 1 of type syncml-obex-client just connected All clients connected or error Received an reply to our Alert Going to receive 3 changes Received an entry 494 with data of size 0 from member 1. Changetype DELETED Received an entry 495 with data of size 8 from member 1. Changetype ADDED Member 1 of type syncml-obex-client just sent all changes xs to osync: 2008-07-23T13:00:00.000+02:00 => 20080723T130000 xs to osync: 2008-07-23T15:00:00.000+02:00 => 20080723T150000 xs to osync: 2008-07-23T08:30:00.000+02:00 => 20080723T083000 xs to osync: 2008-07-23T09:30:00.000+02:00 => 20080723T093000 xs to osync: 2008-07-28T21:00:00.000+02:00 => 20080728T210000 xs to osync: 2008-07-29T00:00:00.000+02:00 => 20080729T000000 xs to osync: 2008-10-25T21:00:00.000+02:00 => 20081025T210000 xs to osync: 2008-10-25T23:55:00.000+02:00 => 20081025T235500 xs to osync: 2008-10-11T21:00:00.000+02:00 => 20081011T210000 xs to osync: 2008-10-11T23:00:00.000+02:00 => 20081011T230000 xs to osync: 2008-07-28T21:00:00.000+02:00 => 20080728T210000 xs to osync: 2008-07-29T00:00:00.000+02:00 => 20080729T000000 Received an entry http%3a%2f%2fwww%2egoogle%2ecom%2fcalendar%2ffeeds%2fenrico%2ebrambilla%2540gmail%2ecom%2fprivate%2ffull%2f51fraot37uoc82ap027folasi8 with data of size 168 from member 2. Changetype ADDED xs to osync: 2008-05-13T21:00:00.000+02:00 => 20080513T210000 xs to osync: 2008-05-13T23:30:00.000+02:00 => 20080513T233000 xs to osync: 2008-05-12T00:00:00.000+02:00 => 20080512T000000 xs to osync: 2008-05-13T00:00:00.000+02:00 => 20080513T000000 xs to osync: 2008-04-29T18:30:00.000+02:00 => 20080429T183000 xs to osync: 2008-04-29T19:00:00.000+02:00 => 20080429T190000 xs to osync: 2008-04-23T20:00:00.000+02:00 => 20080423T200000 xs to osync: 2008-04-23T23:00:00.000+02:00 => 20080423T230000 xs to osync: 2008-04-06T20:45:00.000+02:00 => 20080406T204500 xs to osync: 2008-04-06T22:00:00.000+02:00 => 20080406T220000 xs to osync: 2008-04-07T18:00:00.000+02:00 => 20080407T180000 xs to osync: 2008-04-07T19:00:00.000+02:00 => 20080407T190000 xs to osync: 2008-04-04T20:00:00.000+02:00 => 20080404T200000 xs to osync: 2008-04-04T23:59:00.000+02:00 => 20080404T235900 xs to osync: 2008-04-01T21:00:00.000+02:00 => 20080401T210000 xs to osync: 2008-04-01T23:30:00.000+02:00 => 20080401T233000 xs to osync: 2008-04-25T08:00:00.000+02:00 => 20080425T080000 xs to osync: 2008-04-25T20:00:00.000+02:00 => 20080425T200000 xs to osync: 2008-04-19T21:00:00.000+02:00 => 20080419T210000 xs to osync: 2008-04-19T23:00:00.000+02:00 => 20080419T230000 xs to osync: 2008-05-05T17:30:00.000+02:00 => 20080505T173000 xs to osync: 2008-05-05T18:00:00.000+02:00 => 20080505T180000 xs to osync: 2008-03-18T21:30:00.000+01:00 => 20080318T213000 xs to osync: 2008-03-18T23:30:00.000+01:00 => 20080318T233000 xs to osync: 2008-04-05T08:00:00.000+02:00 => 20080405T080000 xs to osync: 2008-04-05T21:00:00.000+02:00 => 20080405T210000 xs to osync: 2008-03-04T08:00:00.000+01:00 => 20080304T080000 xs to osync: 2008-03-04T08:00:00.000+01:00 => 20080304T080000 xs to osync: 2008-02-16T20:00:00.000+01:00 => 20080216T200000 xs to osync: 2008-02-16T23:59:00.000+01:00 => 20080216T235900 xs to osync: 2008-02-03T08:00:00.000+01:00 => 20080203T080000 xs to osync: 2008-02-03T16:00:00.000+01:00 => 20080203T160000 xs to osync: 2008-04-12T23:50:00.000+02:00 => 20080412T235000 xs to osync: 2008-04-12T23:50:00.000+02:00 => 20080412T235000 xs to osync: 2008-04-19T08:00:00.000+02:00 => 20080419T080000 xs to osync: 2008-04-19T22:00:00.000+02:00 => 20080419T220000 xs to osync: 2007-12-19T20:00:00.000+01:00 => 20071219T200000 xs to osync: 2007-12-19T23:59:00.000+01:00 => 20071219T235900 Received an entry http%3a%2f%2fwww%2egoogle%2ecom%2fcalendar%2ffeeds%2fenrico%2ebrambilla%2540gmail%2ecom%2fprivate%2ffull%2fb2sl85kvjnnqs1spt1d0f4piks with data of size 168 from member 2. Changetype ADDED Received an entry http%3a%2f%2fwww%2egoogle%2ecom%2fcalendar%2ffeeds%2fenrico%2ebrambilla%2540gmail%2ecom%2fprivate%2ffull%2fjo22sgmev6vusbv711cl209at0 with data of size 168 from member 2. Changetype ADDED Received an entry http%3a%2f%2fwww%2egoogle%2ecom%2fcalendar%2ffeeds%2fenrico%2ebrambilla%2540gmail%2ecom%2fprivate%2ffull%2f25ao8qcpa6gc3tecpvrokdpt30 with data of size 0 from member 2. Changetype DELETED Received an entry http%3a%2f%2fwww%2egoogle%2ecom%2fcalendar%2ffeeds%2fenrico%2ebrambilla%2540gmail%2ecom%2fprivate%2ffull%2fsfepvmgfkejhlcf3e1iea2513s with data of size 0 from member 2. Changetype DELETED Received an entry http%3a%2f%2fwww%2egoogle%2ecom%2fcalendar%2ffeeds%2fenrico%2ebrambilla%2540gmail%2ecom%2fprivate%2ffull%2f0j13uoeh1iht0i4c5j1u141bdk with data of size 0 from member 2. Changetype DELETED Member 2 of type google-calendar just sent all changes All clients sent changes or error All conflicts have been reported Received an reply to our sync Sent an entry 471 of size 0 to member 1. Changetype DELETED osync to xs: 20080724T123000 => 2008-07-24T12:30:00 osync to xs: 20080724T143000 => 2008-07-24T14:30:00 add gdata: <?xml version="1.0" encoding="utf-8"?><entry xmlns="http://www.w3.org/2005/Atom" xmlns:gd="http://schemas.google.com/g/2005"><title type="text">Manda al mare Riccardo</title><content type="text"></content><gd:when endTime="2008-07-24T14:30:00" startTime="2008-07-24T12:30:00"/><gd:where valueString=""/></entry> Sent an entry 472 of size 0 to member 1. Changetype DELETED Sent an entry 496 of size 165 to member 1. Changetype ADDED Sent an entry 497 of size 184 to member 1. Changetype ADDED Sent an entry 498 of size 186 to member 1. Changetype ADDED Member 1 of type syncml-obex-client committed all changes. Traceback (most recent call last):

File "/usr/lib/opensync/google-cal-helper", line 453, in <module>

sys.exit(main(sys.argv))

File "/usr/lib/opensync/google-cal-helper", line 445, in main

return fn(argv)

File "/usr/lib/opensync/google-cal-helper", line 422, in oper_add

e = GCalEntry(atom=xml.documentElement)

File "/usr/lib/opensync/google-cal-helper", line 187, in init

self.parseAtom(atom)

File "/usr/lib/opensync/google-cal-helper", line 196, in parseAtom

self.editUri = self.elementValue('atom:link[@rel="edit"]/@href')

File "/usr/lib/opensync/google-cal-helper", line 294, in elementValue

nodes = self.query(name)

File "/usr/lib/opensync/google-cal-helper", line 302, in query

return XPath.Evaluate(expr, context=ctx)

File "/usr/lib/python2.5/site-packages/Ft/Xml/XPath/Util.py", line 188, in Evaluate

retval = XPathParser.new().parse(expr).evaluate(con)

File "/usr/lib/python2.5/site-packages/Ft/Xml/XPath/ParsedRelativeLocationPath.py", line 18, in evaluate

nodeset = self._left.select(context)

File "/usr/lib/python2.5/site-packages/Ft/Xml/XPath/ParsedStep.py", line 30, in evaluate

node_set = self._predicates.filter(node_set, context, reverse)

File "/usr/lib/python2.5/site-packages/Ft/Xml/XPath/ParsedPredicateList.py", line 43, in filter

res = pred.evaluate(context)

File "/usr/lib/python2.5/site-packages/Ft/Xml/XPath/ParsedExpr.py", line 721, in evaluate

left = self._left.evaluate(context)

File "/usr/lib/python2.5/site-packages/Ft/Xml/XPath/ParsedStep.py", line 28, in evaluate

(node_set, reverse) = self._axis.select(context, self._nodeTest.match)

File "/usr/lib/python2.5/site-packages/Ft/Xml/XPath/ParsedAxisSpecifier.py", line 94, in select

result = [ attr for attr in context.node.xpathAttributes

AttributeError?: Element instance has no attribute 'xpathAttributes' Error writing entry 495 to member 2: Couldn't read from helper Mapping Write Error: Couldn't read from helper Member 2 of type google-calendar committed all changes. All clients have written Member 2 of type google-calendar just disconnected Member 1 of type syncml-obex-client just disconnected All clients have disconnected The sync failed: Unable to write one or more objects Error synchronizing: Unable to write one or more objects Pipe closed! Exiting. Pipe closed! Exiting.

comment:4 Changed 6 years ago by add

about their apps in the first place. Both annotations and contributions will only clutter the interface by default as a design pattern rather than trying to put it all together. That way you can never create offline or print docs of high quality without again having the devs or current admins maintain the comments and annotations. Hopefully a small Wiki quality team will evolve (i am against ops or admins) to review and summarize the contributions. I hope this gives us more users as contributors than having the docs focused on the devs. Cheers, duns china tour Apparel shoes bags Kitchen Food and Wine Furniture) Flowers and Gifts Wall Art Computer Components I still prefer a wiki like approach since the php (or mysql) docs are very cluttered when you have to take their comments in account. On the other hand they are professionally maintained imho, since they are *much* better than KDE documentation.

comment:6 Changed 5 years ago by ste.pedro83

I Can confirm this bug in jaunty multisync 0.91. Works well downloading from google to phone but fails upload of events from phone to google:

add gdata: <?xml version="1.0" encoding="utf-8"?> <entry xmlns="http://www.w3.org/2005/Atom" xmlns:gd="http://schemas.google.com/g/2005"><title type="text">Tdl</title><content type="text"></content><gd:when endTime="2009-05-30T00:00:00" startTime="2009-05-29T00:00:00"/><gd:where valueString=""/></entry> Traceback (most recent call last):

File "/usr/lib/opensync/google-cal-helper", line 453, in <module>

sys.exit(main(sys.argv))

File "/usr/lib/opensync/google-cal-helper", line 445, in main

return fn(argv)

File "/usr/lib/opensync/google-cal-helper", line 422, in oper_add

e = GCalEntry(atom=xml.documentElement)

File "/usr/lib/opensync/google-cal-helper", line 187, in init

self.parseAtom(atom)

File "/usr/lib/opensync/google-cal-helper", line 196, in parseAtom

self.editUri = self.elementValue('atom:link[@rel="edit"]/@href')

File "/usr/lib/opensync/google-cal-helper", line 294, in elementValue

nodes = self.query(name)

File "/usr/lib/opensync/google-cal-helper", line 302, in query

return XPath.Evaluate(expr, context=ctx)

File "/usr/lib/python2.6/dist-packages/Ft/Xml/XPath/Util.py", line 188, in Evaluate

retval = XPathParser.new().parse(expr).evaluate(con)

File "/usr/lib/python2.6/dist-packages/Ft/Xml/XPath/ParsedRelativeLocationPath.py", line 18, in evaluate

nodeset = self._left.select(context)

File "/usr/lib/python2.6/dist-packages/Ft/Xml/XPath/ParsedStep.py", line 30, in evaluate

node_set = self._predicates.filter(node_set, context, reverse)

File "/usr/lib/python2.6/dist-packages/Ft/Xml/XPath/ParsedPredicateList.py", line 43, in filter

res = pred.evaluate(context)

File "/usr/lib/python2.6/dist-packages/Ft/Xml/XPath/ParsedExpr.py", line 721, in evaluate

left = self._left.evaluate(context)

File "/usr/lib/python2.6/dist-packages/Ft/Xml/XPath/ParsedStep.py", line 28, in evaluate

(node_set, reverse) = self._axis.select(context, self._nodeTest.match)

File "/usr/lib/python2.6/dist-packages/Ft/Xml/XPath/ParsedAxisSpecifier.py", line 94, in select

result = [ attr for attr in context.node.xpathAttributes

AttributeError?: Element instance has no attribute 'xpathAttributes' Error writing entry 30 to member 2: Couldn't read from helper Mapping Write Error: Couldn't read from helper Member 2 of type google-calendar committed all changes. All clients have written Member 2 of type google-calendar just disconnected Member 1 of type syncml-obex-client just disconnected All clients have disconnected The sync failed: Unable to write one or more objects

comment:7 Changed 4 years ago by sim

decoration Changed 1 year ago by admin

bathtub Changed 1 year ago by admin

solar system Changed 1 year ago by admin

stair parts Changed 1 year ago by admin

solar supply Changed 1 year ago by admin

Note: See TracTickets for help on using tickets.